package com.emr.dao;

import com.emr.entity.BatchApply;
import com.emr.vo.BatchApplyVo;
import com.emr.vo.commomSearch.CommomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName BatchApplyMapper
 * @Description 批量借阅申请接口
 * @Author linjj
 * @Date 2023/8/28 17:13
 * @Version 1.0
 */
public interface BatchApplyMapper {

    List<BatchApply> selectBatchApply(BatchApplyVo batchApplyVo);

    int insertBatch(BatchApplyVo batchApplyVo);

    int updateBatch(BatchApplyVo batchApplyVo);


    List<CommomVo> getCommomVo(CommomVo commomVo);

    List<CommomVo> getCommomVoByPatientIds(@Param(value = "patientIds")String patientIds);

    BatchApplyVo getBorrowingNum(int batchId);

    BatchApplyVo getreadNum(int batchId);

    int updateBorrowingNum(@Param("borrowingNum") int borrowingNum, @Param("batchId") int batchId);

    int updateReadNumm(@Param("readNum") int readNum, @Param("batchId") int batchId);

    int updateStatc(@Param("statc") int statc, @Param("batchId") int batchId);

    int deleteById(int id);

}
